---
agentTools:
  projectIndex: https://troops.readme.io/llms.txt
---

# Create Interview

Creates a new interview

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Introduction",
    "version": "1.0.0",
    "description": "The Troops Integration API is organized around\n[REST](https://en.wikipedia.org/wiki/Representational_state_transfer). It\nallows you to query and manipulate the following resources within your TEA\ntree:\n\n- Candidates and their related assets.\n- TEAs\n- Certain references:\n  - Business sectors\n  - Countries\n  - Jobs\n- Paychecks\n- Evolia syncing\n"
  },
  "paths": {
    "/api/integrations/interview": {
      "post": {
        "tags": [
          "Interviews"
        ],
        "operationId": "Create Interview",
        "description": "Creates a new interview",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "candidate_ref": {
                    "type": "string",
                    "example": "49cef7d1-6e58-47ce-8e20-df057e234687",
                    "description": "UUID of the candidate (accepted also in Flexible Reference format)"
                  },
                  "interview_date": {
                    "type": "string",
                    "format": "date",
                    "example": "2021-07-01T00:00:00.000Z",
                    "description": "Date of the interview"
                  },
                  "kind": {
                    "type": "string",
                    "example": "visio",
                    "enum": [
                      "visio",
                      "face_to_face",
                      "sms",
                      "email",
                      "phone"
                    ]
                  },
                  "participants": {
                    "type": "string",
                    "example": "Sarah, Jack, Mark"
                  },
                  "reasons": {
                    "type": "string",
                    "example": "Embauche"
                  },
                  "comments": {
                    "type": "string",
                    "example": "Free text"
                  }
                },
                "required": [
                  "candidate_ref",
                  "interview_date",
                  "kind",
                  "participants",
                  "comments"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returned in case the request was handled successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceId"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          }
        },
        "summary": "Create Interview"
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "The entire API is authenticated, so to use it you will require an API\nkey. To acquire one, please send a request to your account manager at\nTroops or to help@troops.fr.\n\nWhen making requests, you need to specify the API key using the Bearer\nscheme in the Authorization header, e.g. `Authorization: Bearer\nthis-is-my-secret-token`.\n\nYour API keys carry many privileges, so be sure to keep them secure! Do\nnot share your secret API keys in publicly accessible areas such as\nGitHub, client-side code, and so forth.\n\nAll API requests must be made over HTTPS. Calls made over plain HTTP\nwill fail. API requests without authentication will also fail.\n"
      }
    },
    "schemas": {
      "UUID": {
        "type": "string",
        "format": "uuid",
        "description": "UUID",
        "example": "123e4567-e89b-12d3-a456-426655440000"
      },
      "ResourceId": {
        "type": "object",
        "description": "Resource Identifier. One of properties \"id\" or \"uuid\" might be null.",
        "properties": {
          "uuid": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/UUID"
              },
              {
                "type": "string",
                "nullable": true,
                "example": null
              }
            ]
          },
          "id": {
            "anyOf": [
              {
                "type": "integer",
                "example": 2
              },
              {
                "type": "integer",
                "nullable": true,
                "example": null
              },
              {
                "$ref": "#/components/schemas/UUID"
              },
              {
                "type": "string",
                "nullable": true,
                "example": null
              }
            ]
          }
        },
        "example": {
          "id": null,
          "uuid": "123e4567-e89b-12d3-a456-426655440000"
        }
      }
    },
    "responses": {
      "NotFound": {
        "description": "Returned in case the requested item can not be found"
      },
      "BadRequest": {
        "description": "Returned in case the request contained invalid parameters"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api-staging.troops.fr",
      "description": "PreProduction (Staging) server"
    },
    {
      "url": "https://api.troops.fr",
      "description": "Production server"
    },
    {
      "url": "https://api-dev.troops.online",
      "description": "Development server"
    },
    {
      "url": "https://api-{envID}.troops.online",
      "description": "Development server (Dynamic feature env)",
      "variables": {
        "envID": {
          "default": "dev",
          "description": "dev, r-********, 1202004111967626"
        }
      }
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 101,
      "1": 184,
      "2": 241,
      "3": 90,
      "4": 97,
      "5": 249,
      "6": 184,
      "7": 0,
      "8": 76,
      "9": 125,
      "10": 22,
      "11": 209
    }
  }
}
```